package org.jeecg.modules.plan.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.device.model.TimesStatistics;
import org.jeecg.modules.plan.entity.BuCheckRecord;
import org.jeecg.modules.plan.modal.PlanStatistics;

import java.util.List;

/**
 * @Description: 检查记录表
 * @Author: jeecg-boot
 * @Date:   2020-12-14
 * @Version: V1.0
 */
public interface BuCheckRecordMapper extends BaseMapper<BuCheckRecord> {

    List<PlanStatistics> yearStatistics();

    List<PlanStatistics> monthStatistics(@Param("queryYear") String queryYear);

    List<PlanStatistics> workStatistics();

    List<TimesStatistics> getTimesByDeviceId(@Param("deviceId") String deviceId);

    BuCheckRecord getDataByDate(@Param("startDate") String startDate,@Param("endDate") String endDate);

}
